PORT-INSTALL(1)

NAME
port-install - Install a new port

SYNOPSIS

port [-vdqysbckpotf] [-D portdir] install
     [--no-rev-upgrade] [--unrequested]
     [[portname | pseudo-portname | port-expressions | port-url]]
     [+/-variant ...]

DESCRIPTION

port install will install a new port on your system. You can choose multiple variants, by specifying +name, which indicates the variant is desired, or -name, indicating the contrary.

Global variants will be applied as specified in variants.conf(5).

OPTIONS

--allow-failing
    Attempt installation even if the specified port or one of its dependencies indicates that it is known to fail.

--no-replace
    Attempt to install the specified port even if it indicates that it is replaced by another port. Without this option, the replacement would be installed instead.

--no-rev-upgrade
    Do not run rev-upgrade after installation. See port-rev-upgrade(1) for more information.

--unrequested
    Do not mark the installed ports as requested. See port-setrequested(1) for more information.

GLOBAL OPTIONS

Please see the section GLOBAL OPTIONS in the port(1) man page for a description of global port options.

SEE ALSO

port(1), port-uninstall(1), port-info(1), port-variants(1), port-rev-upgrade(1), port-setrequested(1), variants.conf(5)

AUTHORS

    (C) 2009 The MacPorts Project
    Rainer Mueller <raimue@macports.org>